Last Comment Bug 1000593 - [tracking] Clean up localization bootstrap in Gaia
: [tracking] Clean up localization bootstrap in Gaia
Status: RESOLVED FIXED
:
Product: Firefox OS
Classification: Client Software
Component: Gaia::L10n (show other bugs)
: unspecified
: All All
-- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 993188 996272 996291 999132 999138 999155 999163 999193 999195 1000130 1000599 1000852 1000860 1000866 1000874 1000895 1001453 1002498 1002625 1002772 1003184 1003191
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-23 16:31 PDT by Staś Małolepszy :stas
Modified: 2014-06-10 16:40 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Staś Małolepszy :stas 2014-04-23 16:31:15 PDT
Different apps use different strategies to wait with initialization until the localization is ready.  Most of those strategies work around the mozL10n.ready() bug described in bug 993188.

When the bug is fixed, we will have two methods available: mozL10n.ready and mozL10n.once, which should simplify the bootstrap process for most of the apps.

This is the tracking bug for improving those apps.
Comment 1 User image Zibi Braniecki [:gandalf][:zibi] 2014-04-24 09:53:50 PDT
I suspect that this effort should have impact on memory usage. We replace a lot of lifelong-lasting-closures (and retain data structures for the whole app) with fire-and-remove closures.

I don't think we can easily measure the impact since we don't have solid memory tracking yet, and we switch it app by app, but it may be important for Gaia team to know about it.
Comment 2 User image Zibi Braniecki [:gandalf][:zibi] 2014-06-10 16:40:24 PDT
Wohooo! :)

Note You need to log in before you can comment on or make changes to this bug.